<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE component SYSTEM "http://www.freac.org/boca/component.dtd">
<component>
  <name>qaac AAC/ALAC Encoder</name>
  <version>1.0</version>
  <id>qaac-enc</id>
  <type>encoder</type>
  <format>
    <name>MPEG-4 AAC/ALAC Files</name>
    <extension>m4a</extension>
    <tag id="mp4-tag" mode="other">MP4 Metadata</tag>
  </format>
  <external>
    <command>qaac</command>
    <arguments>--ignorelength %OPTIONS -o %OUTFILE -</arguments>
    <mode>stdio</mode>
    <informat>wave</informat>
    <parameters>
      <selection name="Audio codec" argument="%VALUE" default="" enabled="true">
	<option alias="MPEG4 AAC Low Complexity"/>
	<option alias="MPEG4 AAC High Efficiency">--he</option>
	<option alias="Apple Lossless Audio Codec">-A</option>
      </selection>
      <range name="True VBR Mode" argument="--tvbr %VALUE" default="60" step="1" enabled="true">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity"/>
	<depends setting="Constrained VBR Mode" state="disabled"/>
	<depends setting="ABR Mode" state="disabled"/>
	<depends setting="CBR Mode" state="disabled"/>
	<min alias="worse">0</min>
	<max alias="better">127</max>
      </range>
      <range name="Constrained VBR Mode" argument="--cvbr %VALUE" default="128" step="8">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<depends setting="True VBR Mode" state="disabled"/>
	<depends setting="ABR Mode" state="disabled"/>
	<depends setting="CBR Mode" state="disabled"/>
	<min alias="%1 kbps">8</min>
	<max alias="%1 kbps">320</max>
      </range>
      <range name="ABR Mode" argument="--abr %VALUE" default="128" step="8">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<depends setting="True VBR Mode" state="disabled"/>
	<depends setting="Constrained VBR Mode" state="disabled"/>
	<depends setting="CBR Mode" state="disabled"/>
	<min alias="%1 kbps">8</min>
	<max alias="%1 kbps">320</max>
      </range>
      <range name="CBR Mode" argument="--cbr %VALUE" default="128" step="8">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<depends setting="True VBR Mode" state="disabled"/>
	<depends setting="Constrained VBR Mode" state="disabled"/>
	<depends setting="ABR Mode" state="disabled"/>
	<min alias="%1 kbps">8</min>
	<max alias="%1 kbps">320</max>
      </range>
      <selection name="Quality" argument="--quality %VALUE" default="2" enabled="true">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<option alias="High">2</option>
	<option alias="Normal">1</option>
	<option alias="Fast">0</option>
      </selection>
      <selection name="Sample rate" argument="--rate %VALUE" default="auto" enabled="true">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<option alias="Auto">auto</option>
	<option alias="Keep">keep</option>
	<option alias="8.000 Hz">8000</option>
	<option alias="11.025 Hz">11025</option>
	<option alias="12.000 Hz">12000</option>
	<option alias="16.000 Hz">16000</option>
	<option alias="22.050 Hz">22050</option>
	<option alias="24.000 Hz">24000</option>
	<option alias="32.000 Hz">32000</option>
	<option alias="44.100 Hz">44100</option>
	<option alias="48.000 Hz">48000</option>
      </selection>
    </parameters>
  </external>
  <external>
    <command>qaac64</command>
    <arguments>--ignorelength %OPTIONS -o %OUTFILE -</arguments>
    <mode>stdio</mode>
    <informat>wave</informat>
    <parameters>
      <selection name="Audio codec" argument="%VALUE" default="" enabled="true">
	<option alias="MPEG4 AAC Low Complexity"/>
	<option alias="MPEG4 AAC High Efficiency">--he</option>
	<option alias="Apple Lossless Audio Codec">-A</option>
      </selection>
      <range name="True VBR Mode" argument="--tvbr %VALUE" default="60" step="1" enabled="true">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity"/>
	<depends setting="Constrained VBR Mode" state="disabled"/>
	<depends setting="ABR Mode" state="disabled"/>
	<depends setting="CBR Mode" state="disabled"/>
	<min alias="worse">0</min>
	<max alias="better">127</max>
      </range>
      <range name="Constrained VBR Mode" argument="--cvbr %VALUE" default="128" step="8">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<depends setting="True VBR Mode" state="disabled"/>
	<depends setting="ABR Mode" state="disabled"/>
	<depends setting="CBR Mode" state="disabled"/>
	<min alias="%1 kbps">8</min>
	<max alias="%1 kbps">320</max>
      </range>
      <range name="ABR Mode" argument="--abr %VALUE" default="128" step="8">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<depends setting="True VBR Mode" state="disabled"/>
	<depends setting="Constrained VBR Mode" state="disabled"/>
	<depends setting="CBR Mode" state="disabled"/>
	<min alias="%1 kbps">8</min>
	<max alias="%1 kbps">320</max>
      </range>
      <range name="CBR Mode" argument="--cbr %VALUE" default="128" step="8">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<depends setting="True VBR Mode" state="disabled"/>
	<depends setting="Constrained VBR Mode" state="disabled"/>
	<depends setting="ABR Mode" state="disabled"/>
	<min alias="%1 kbps">8</min>
	<max alias="%1 kbps">320</max>
      </range>
      <selection name="Quality" argument="--quality %VALUE" default="2" enabled="true">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<option alias="High">2</option>
	<option alias="Normal">1</option>
	<option alias="Fast">0</option>
      </selection>
      <selection name="Sample rate" argument="--rate %VALUE" default="auto" enabled="true">
	<depends setting="Audio codec" value="MPEG4 AAC Low Complexity,MPEG4 AAC High Efficiency"/>
	<option alias="Auto">auto</option>
	<option alias="Keep">keep</option>
	<option alias="8.000 Hz">8000</option>
	<option alias="11.025 Hz">11025</option>
	<option alias="12.000 Hz">12000</option>
	<option alias="16.000 Hz">16000</option>
	<option alias="22.050 Hz">22050</option>
	<option alias="24.000 Hz">24000</option>
	<option alias="32.000 Hz">32000</option>
	<option alias="44.100 Hz">44100</option>
	<option alias="48.000 Hz">48000</option>
      </selection>
    </parameters>
  </external>
</component>
